/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.jspHelper
 *  ファイル：DisplaySelecter.java
 *  説明：
 *
 *  作成日: 2004/01/12
 */
package openolap.viewer.jspHelper;

import java.io.IOException;
import java.util.Iterator;

import javax.servlet.jsp.JspWriter;

import openolap.viewer.Axis;
import openolap.viewer.AxisLevel;
import openolap.viewer.Report;

/**
 *  クラス：DisplaySelecter
 *  説明：
 */
public class DisplaySelecter {

	// ********** メソッド **********

	//	レベル表示関連
	 public void outLevelName( Report report, String targetAxisID, JspWriter out ) throws IOException {

		 Axis axis = report.getAxisByID(targetAxisID);
		 Iterator it = axis.getAxisLevelList().iterator();
		 while (it.hasNext()) {
			 AxisLevel axisLevel = (AxisLevel) it.next();
			 out.println("<option value='" + axisLevel.getLevelNumber() + "'>");
				 out.println(axisLevel.getName());
			 out.println("</option>");
		 }
	 }

}
